%bcond_without check
%global debug_package %{nil}

%global goipath         github.com/networkplumbing/go-nft
Version:                0.2.0

%gometa

%global common_description %{expand:
Go bindings for nft utility.}

%global godevelheader %{expand:
Requires:       nftables-devel}

%global golicenses      LICENSE
%global godocs          README.md CONTRIBUTING.md CODE_OF_CONDUCT.md CHANGELOG

Name:           %{goname}
Release:    1%{?dist}
Summary:        Go bindings for nft utility

License:        ASL 2.0
URL:            %{gourl}
Source0:        %{gosource}

%description
%{common_description}

%gopkg

%prep
%goprep

%generate_buildrequires
%go_generate_buildrequires
echo nftables-devel

%install
%gopkginstall

%if %{with check}
%check
%gocheck
%endif

%gopkgfiles

%changelog
* Fri Sep 06 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 0.2.0-1
- initial build
